#ifndef SETTING_H
#define SETTING_H

#include <QTextBrowser>
#include "QString"

#include "idpsswdcontainer.h"

class Setting : public QObject
{
		Q_OBJECT

	public:
		Setting(QObject *parent = 0);
		~Setting();

		void setRuntime(int runtime);
		int runtime();

		void setNodetime(int nodetime);
		int nodetime();

		void setEdgetime(int edgetime);
		int edgetime();

		void setLog(QTextBrowser * log);
		void logWrite(QString log);

		int streamType;
		QString streamValue;

		bool running;

		QString path;

		IdpsswdContainer * datasift;
		IdpsswdContainer * twitter;

	private:
		int _runtime;
		int _nodetime;
		int _edgetime;

		QTextBrowser *_log;
};

#endif // SETTING_H
