#ifndef GRAPH_H
#define GRAPH_H

#include <QtGui>

#include <QMap>
#include <QPair>
#include <QDomDocument>

#include "node.h"
#include "edge.h"

class Graph : public QWidget
{
		Q_OBJECT

	public:
		explicit Graph(QWidget *parent = 0);
		~Graph();

		bool addNode(Node *node);
		bool addEdge(Edge *edge);

		void makeXml(QString path);

		int nodesNumber();
		int edgesNumber();

		//	private:
		HashtagSet hashtags;
		NodeSet nodeSet;
		EdgeSet edgeSet;

};


#endif // GRAPH_H
